> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List customer relations



## OpenAPI

````yaml /openapi.json get /view-specific/{customerId}/relations
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /view-specific/{customerId}/relations:
    get:
      tags:
        - view-specific
      summary: List customer relations
      operationId: ViewSpecificController_listCustomerRelations
      parameters:
        - name: customerId
          required: true
          in: path
          schema:
            type: string
        - name: pageInfo
          required: false
          in: query
          description: the page info
          schema:
            $ref: '#/components/schemas/PageInfo'
        - name: order
          required: false
          in: query
          description: the sort options
          schema:
            $ref: '#/components/schemas/OrderDto'
        - name: userId
          required: false
          in: query
          schema:
            type: string
        - name: types
          required: false
          in: query
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCustomerRelationsOutput'
components:
  schemas:
    PageInfo:
      type: object
      properties:
        count:
          type: number
          description: the number of items to return
          default: 10
        page:
          type: number
          description: the page to retrieve
          default: 1
    OrderDto:
      type: object
      properties:
        by:
          type: string
          description: the sort key
        direction:
          type: string
          description: the sort direction
      required:
        - by
        - direction
    ListCustomerRelationsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/CustomerRelation'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    CustomerRelation:
      type: object
      properties:
        id:
          type: string
        userId:
          type: string
        resourceId:
          type: string
        relationType:
          type: string
        email:
          type: string
      required:
        - id
        - userId
        - resourceId
        - relationType
        - email
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page

````